@import "../variables"
//global
.modal-body, .modal-header
  position: relative
  padding: 45px
  .close
    position: absolute
    right: 15px
    top: 15px
    span
      font-size: 3rem
      font-weight: normal
//modals
#equipment-modal
  .modal-dialog
    max-width: 950px
    .modal-body
      .equipment-modal-content

        .content__title
          margin-bottom: 30px
        .modal-img-wrap
          max-width: 362px
          max-height: 310px
          img
            width: 100%
      .equipment-modal-content.text
        max-height: 395px
        overflow-y: scroll

.order-modal
  .modal-content
    max-width: 360px
    .modal-header
      border-bottom: none
      padding: 30px
      .modal__title
        max-width: 380px
    .modal-body
      padding: 20px 30px 40px
      background-color: #F4F4F4

      .modal__text
        max-width: 343px
      .order-form
        display: flex
        flex-direction: column
        margin-top: 40px
        .form-control
          background-color: white
          height: 45px
          max-width: 370px
        .btn
          margin: 45px auto 0
.global
  .modal-content
    max-width: 385px
    .modal-header
      display: flex
      justify-content: center
      padding-bottom: 15px
      padding-top: 25px
    .modal-body
      padding: 25px 25px 40px
      background-color: #F4F4F4
      .modal__title
        margin-bottom: 15px
      .modal__text
        margin-bottom: 22px
      .btn
        margin: 0 auto

.tariffs-modal
  .modal-content
    .modal-header
      border: unset
      padding-bottom: 0
    .modal-body
      padding: 0 60px 40px
      overflow-y: auto
      max-height: 484px
      .tariff-select-block
        display: flex
        justify-content: flex-end
        margin-top: 30px
        margin-bottom: 20px
        .input-group
          max-width: 150px
          width: 100%
          .custom-select
            height: 40px
            background-image: url("../images/icons/select-shevron.svg")

            &:focus
              box-shadow: none
              border-color: $text_gray



      .row-tariffs
        .row-item
          border-top: 1px solid #E7E7E7
          padding: 20px 0
          .tariff-item__support-text
            color: $blue
            cursor: pointer
          .tariff-item__support-price-text
            color: $text_gray

          .tariff-item__status.connect
            color: $text_gray
          .channel-item-wrap

            .channel-item
              display: flex
              flex-direction: column
              align-items: center
              img
                margin-bottom: 10px
                max-width: 100px
                max-height: 55px
              span
                text-align: center
    .modal-body.voip

      padding: 0 47px 40px
      .select-block
        display: flex
        justify-content: space-between
        .tariff-select-block
          align-items: center
          .tariff-text
            color: $text_gray
            margin-right: 20px
      .table-responsive
        table
          thead
            border: unset
            th
              background-color: #F6F6F6
              border: unset
              text-align: center
          tbody
            tr
              td
                text-align: center
    .modal-body.history
      .select-block
        justify-content: flex-end
        .tariff-select-block
          margin-right: 30px
          &:last-child
            margin-right: 0




.channels-modal
  .modal-content
    .modal-header
      border: unset
      padding-bottom: 0
    .modal-body
      max-height: 575px
      overflow-y: auto
      padding: 0 25px 30px
      .channels-wrap
        margin-top: 40px


.dialog-modals
  .modal-dialog
    max-width: 350px

    .modal-header
      border-bottom: none
      padding: 30px 30px 15px
      .close
        padding: 0
        right: 20px
      &__img
        margin: 0 auto
        max-width: 55px
        max-height: 49px
      &__title
        margin-bottom: 0
    .modal-body
      padding: 20px 30px 40px
      background-color: #F4F4F4
      &__title
        margin-bottom: 15px
      &__text
        margin-bottom: 30px
      &__btn
        margin: 0 auto
      &__form
        .form-group
          margin-bottom: 30px
          .form-control
            height: 45px
      .modal-body-buttons-block
        display: flex
        justify-content: center
        align-content: center
        .btn
          margin: 0
        a
          display: flex
          justify-content: center
          align-items: center
          margin-right: 20px
      .support-form
        .form-group.main-support-group
          .input-group
            .form-control
              margin-bottom: 10px
              height: 45px
              border: unset
            .custom-select
              height: 45px
              margin-bottom: 10px
              border: unset

            .input-group-prepend
              height: 45px

              .input-group-text
                background-color: white
                border: unset

